%{?!pyver: %define pyver %(python -c 'import sys;print(sys.version[0:3])')}
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}


Name:		openerp-client
Version:	5.0.14
Release:	1%{?dist}
License:	GPLv3
Group:		Applications/Productivity
Summary:	Open Source ERP Client
URL:		http://www.openerp.com
Source0:	http://www.openerp.com/download/stable/source/openerp-client-%{version}.tar.gz
Source1:	openerp.desktop
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch
Patch0:		openerp-client-5.0.14-setup.patch
BuildRequires:  python-devel


%define cli_dir %{name}-%{version}

%description
GUI Client components for openERP.
openERP is a complete ERP and CRM. The main features are accounting
(analytic and financial), stock management, sales and purchases management,
tasks automation, marketing campaigns, help desk, POS, etc. Technical features
include a distributed server, flexible work-flows, an object database,
a dynamic GUI, customizable reports, and SOAP and XML-RPC interfaces.

%prep
%setup -q
%patch0 -p1 -b .setup

%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install --root $RPM_BUILD_ROOT

%find_lang %{name}

mv $RPM_BUILD_ROOT%{_datadir}/openerp-client/* $RPM_BUILD_ROOT%{python_sitelib}/openerp-client

desktop-file-install --vendor fedora				\
	--dir $RPM_BUILD_ROOT%{_datadir}/applications		\
	%{SOURCE1}

sed -i "s/${RPM_BUILD_ROOT////\\/}/\//" $RPM_BUILD_ROOT/usr/bin/openerp-client



# remove installed docs
rm -r $RPM_BUILD_ROOT/%{_defaultdocdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc doc/*
%{_bindir}/openerp-client
%{python_sitelib}/openerp-client/
%{python_sitelib}/openerp_client*
%{_mandir}/man1/openerp-client.*
%{_datadir}/openerp-client/
%{_datadir}/pixmaps/openerp-client/
%{_datadir}/applications/*.desktop
%{_datadir}/locale/*

%changelog
* Fri Sep 03 2010 - Andrea Vezzali <vezza@inwind.it> 5.0.14-1 
- 5.0.14 build

* Fri Mar 05 2010 - Frederic Descamps <lefred@inuits.be> 5.0.7-1 
- Build for 5.0.7

* Fri Dec 18 2009 - Frederic Descamps <lefred@inuits.be> 5.0.6-1 
- Initial build
